## GvaCellRendererPixbuf

GvaCellRendererPixbuf — A clickable GtkCellRendererPixbuf

## Synopsis

                        GvaCellRendererPixbuf;
    GtkCellRenderer *   gva_cell_renderer_pixbuf_new        (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkCellRenderer
                         +----GtkCellRendererPixbuf
                               +----GvaCellRendererPixbuf

## Signals

      "clicked"                                        : Run Last

## Description

This is a clickable GtkCellRendererPixbuf subclass. It implements the `activate` method to emit a "clicked" signal when the cell is activated.

## Details

### GvaCellRendererPixbuf

    typedef struct _GvaCellRendererPixbuf GvaCellRendererPixbuf;

Contains only private data that should be read and manipulated using the functions below.

### gva_cell_renderer_pixbuf_new ()

    GtkCellRenderer *   gva_cell_renderer_pixbuf_new        (void);

Creates a new GvaCellRendererPixbuf object.

Returns : | a new GvaCellRendererPixbuf

## Signal Details

### The `"clicked"` signal

    void                user_function                      (GvaCellRendererPixbuf *renderer,
                                                            GtkTreePath           *tree_path,
                                                            gpointer               user_data)      : Run Last

The ::clicked signal is emitted when the cell is activated.

`renderer` : | the GvaCellRendererPixbuf that received the signal
`tree_path` : | the GtkTreePath to the row containing the activated pixbuf
`user_data` : | user data set when the signal handler was connected.